function E0090()
    MNA()CMU("CS_Vivi")FAI(0)
end
function E0091()
    MNA()CMU("CS_Vivi")FAI(1)
end
function E0092()
    MNA()CMU("CS_Vivi")FAI(2)
end
function E0093()
    MNA()CMU("CS_Vivi")FAI(3)
end
function E0094()
    MNA()CMU("CS_Vivi")FAI(4)
end

function GoSoapCastleWaterFall()
    PRI()FAO(1)TRA("CS_soapcastle_waterfall","E0093",3,17,0,90)
end

function GoSoapCastleFountain()
    PRI()FAO(0)TRA("CS_soapcastle_fountain","E0090",19,6,0,46)
end

function GoSoapCastleGolemStatue()
    PRI()FAO(3)TRA("CS_soapcastle_golemstatue","E0091",76,17,0,2)
end

function GoSoapCastleKingBedroom()
    if(FLJ("DefeatedSoapKing")) then
        PRI()FAO(0)TRA("CS_soapcastle_kingbedroom","E0092",32,16,0,46)
    else
        PRI()
        MS4("\n你听到了从门里传来的呼噜声...")NOD()CLR()
        FAC("jack_normal")CAT("不知道这个地方怪物还有多少，")NOD()
        CAT("\n为了避免战斗我们最好")
        CAT("\n还是不要惊动它们。")NOD()
    end
end

function StarfishStatue()
    PRI()
    MS4("\n一座海星雕像")NOD()
end

function ShrimpStatue()
    PRI()
    MS4("\n一座虾雕像")NOD()
end

function CrabStatue()
    PRI()
    MS4("\n一座螃蟹雕像")NOD()
end

function OctopusStatue()
    PRI()
    MS4("\n一座章鱼雕像")NOD()
end

function SlimeStatue()
    PRI()
    MS4("\n一座史莱姆雕像")NOD()
end

function SandDragonStatue()
    PRI()
    MS4("\n一座沙龙雕像")NOD()
end

